Categories:
  - Navigation
License: GPL-3.0-or-later
SourceCode: https://github.com/n76/wifi_backend
IssueTracker: https://github.com/n76/wifi_backend/issues
Changelog: https://github.com/n76/wifi_backend/blob/HEAD/CHANGELOG.md

Name: LocalWifiNlpBackend
AutoName: WiFi Location Service
Summary: UnifiedNlp location provider (local WiFi database)
Description: |-
    [[com.google.android.gms]] backend that uses locally acquired WiFi AP data to
    resolve user location.

    This backend consists of two parts sharing a common database. One part passively
    monitors the GPS. If the GPS has acquired and has a good position accuracy, then
    the WiFi APs detected by the phone are stored.

    The other part is the actual location provider which uses the database to
    estimate location when the GPS is not available or has not yet gotten its first
    fix. The use of stored WiFi AP can dramatically decrease the GPS time to first
    fix.

    This backend performs no network data. All data acquired by the phone stays on
    the phone and no queries are made to a centralized AP location provider.

RepoType: git
Repo: https://github.com/n76/wifi_backend

Builds:
  - versionName: 0.3.0
    versionCode: 3
    commit: v0.3.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.4.0
    versionCode: 4
    commit: v0.4.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.5.0
    versionCode: 5
    commit: v0.5.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.7.1
    versionCode: 8
    commit: v0.7.1
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.7.2
    versionCode: 9
    commit: v0.7.2
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.8.0
    versionCode: 10
    commit: v0.8.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.8.1
    versionCode: 11
    commit: v0.8.1
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.10.0
    versionCode: 13
    commit: v0.10.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.11.0
    versionCode: 14
    commit: v0.11.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.11.1
    versionCode: 15
    commit: v0.11.1
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.12.0
    versionCode: 16
    commit: v0.12.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.13.0
    versionCode: 17
    commit: v0.13.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.14.1
    versionCode: 19
    commit: v0.14.1
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.14.2
    versionCode: 20
    commit: v0.14.2
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.15.0
    versionCode: 21
    commit: v0.15.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/*.jar
    target: android-19

  - versionName: 0.16.0
    versionCode: 22
    disable: missing root project, see https://github.com/n76/wifi_backend/issues/16
    commit: v0.16.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.16.1
    versionCode: 23
    commit: v0.16.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.17.0
    versionCode: 24
    commit: v0.17.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.9.9
    versionCode: 25
    disable: fails to build with gradle 2.10
    commit: v0.9.9
    subdir: app
    gradle:
      - yes

  - versionName: 0.9.91
    versionCode: 26
    commit: v0.9.91
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.8\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.0.0
    versionCode: 27
    commit: v1.0.0
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.8\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.0.1
    versionCode: 28
    commit: v1.0.1
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.8\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 29
    disable: update gradle
    commit: v1.1.0
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.8\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 30
    commit: v1.1.1
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.11\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.1.2
    versionCode: 31
    disable: wrong version
    commit: v1.1.2
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.11\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.1.4
    versionCode: 33
    commit: v1.1.4
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.11\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.1.5
    versionCode: 34
    commit: v1.1.5
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.11\" }' >> ../build.gradle"
    gradle:
      - yes

  - versionName: 1.1.6
    versionCode: 35
    commit: v1.1.6
    subdir: app
    init: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.11\" }' >> ../build.gradle"
    gradle:
      - yes
    prebuild: echo -e "android { lintOptions { disable 'ExtraTranslation' } }" >>
        build.gradle

  - versionName: 1.1.7
    versionCode: 36
    disable: fails due to missing JCenter reference
    commit: v1.1.7
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.8
    versionCode: 37
    commit: v1.1.8
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.9
    versionCode: 38
    commit: v1.1.9
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.10
    versionCode: 39
    commit: v1.1.10
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.11
    versionCode: 40
    commit: v1.1.11
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.12
    versionCode: 41
    commit: v1.1.12
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.13
    versionCode: 42
    commit: v1.1.13
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.1.13
CurrentVersionCode: 42
